Bug 122267 - hotplugging USB disk on key: incorrect fstab entry
Summary: hotplugging USB disk on key: incorrect fstab entry
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: hotplug   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-02 16:04 UTC by Sasha
Modified: 2014-03-17 02:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 00:50:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sasha 2004-05-02 16:04:56 UTC
I have a problem with USB disk on key (Lexar Jumpdrive) in test 3:
after insertion, hotplug recognizes the drive and adds an entry to
/etc/fstab like this:
/dev/sda /mnt/diskonkey auto ....

This is incorrect, and as a result, clicking on the icon in GNOME's
"Computer" or manually mounting via mount /mnt/diskonkey returns error.
Correct entry should be 

/dev/sda1 /mnt/diskonkey auto ....
       ^^^^
After manually changing fstab entry, everything works fine. 
(Dell Latitude D600 laptop)

See thread 
http://www.redhat.com/archives/fedora-test-list/2004-May/msg00123.html

Comment 1 Bill Nottingham 2004-05-03 00:50:41 UTC
This is, unfortunately, a problem - various diskonkeys use various
partitions.

This needs to be fixed in updfstab by having it probe for partitions.


Note You need to log in before you can comment on or make changes to this bug.